Page MenuHomePhabricator

[MVT] add v1i1 MVT
ClosedPublic

Authored by guyblank on Apr 26 2017, 8:14 AM.

Details

Summary

separating the MVT addition from D32273.

this patch adds the v1i1 MVT, I've also added the nxv1i1 MVT just to be consistent with the other types.

Diff Detail

Repository
rL LLVM

Event Timeline

guyblank created this revision.Apr 26 2017, 8:14 AM
loladiro added inline comments.
include/llvm/CodeGen/MachineValueType.h
59 ↗(On Diff #96746)

Incorrect comment?

588 ↗(On Diff #96746)

This seems to be in the wrong place.

guyblank added inline comments.Apr 26 2017, 8:47 AM
include/llvm/CodeGen/MachineValueType.h
588 ↗(On Diff #96746)

whoops, thanks!

guyblank updated this revision to Diff 96870.Apr 26 2017, 11:19 PM

fixed comments

craig.topper added inline comments.Apr 26 2017, 11:37 PM
include/llvm/CodeGen/ValueTypes.td
46 ↗(On Diff #96870)

Not your fault, but is the size wrong for v1i8?

guyblank added inline comments.Apr 27 2017, 1:46 AM
include/llvm/CodeGen/ValueTypes.td
46 ↗(On Diff #96870)

yep, this looks a typo that didn't affect anything. i'll fix it

craig.topper accepted this revision.Apr 28 2017, 11:34 AM

LGTM other than the v1i8 problem in existing tablegen. Probably commit that fix as a separate pre-commit just so its not hidden in here.

This revision is now accepted and ready to land.Apr 28 2017, 11:34 AM
This revision was automatically updated to reflect the committed changes.